#!/usr/bin/env python
#
# ----------------------------------------------------------------------
#
# Brad T. Aagaard, U.S. Geological Survey
# Charles A. Williams, GNS Science
# Matthew G. Knepley, University of Chicago
#
# This code was developed as part of the Computational Infrastructure
# for Geodynamics (http://geodynamics.org).
#
# Copyright (c) 2010-2017 University of California, Davis
#
# See COPYING for license information.
#
# ----------------------------------------------------------------------
#

## @file pylith/friction/__init__.py

## @brief Python PyLith Friction module initialization

__all__ = ['FrictionModel',
           'StaticFriction',
           'SlipWeakening',
           'SlipWeakeningTime',
           'SlipWeakeningTimeStable',
           'RateStateAgeing',
           'TimeWeakening',
           ]


# End of file
